package com.njcn.mapper.configuration;

import java.util.List;

import com.njcn.pojo.excelBody.ProvinceExcelBody;
import org.apache.ibatis.annotations.Param;

import com.njcn.pojo.configuration.Province;

import tk.mybatis.mapper.common.Mapper;

public interface ProvinceMapper extends Mapper<Province> {
	Long selectMaxIndex();
	
	List<Province> testName(@Param("name")String name,@Param("proIndex")Long proIndex);
	
	List<Province> checkName(@Param("name")String name,@Param("projectIndex")Long projectIndex);

	//获取该表所有数据，提供excel导出
    List<ProvinceExcelBody> selectAllExcelData();


	//根据area查询
	List<Province> getArea(@Param("area")String area);
}